#!/bin/bash

set -e

cargo build
UIDC=./target/debug/uidc

$UIDC init
$UIDC config load /dev/stdin <<EOF
base_url = "http://localhost:2114"
EOF

$UIDC key generate ed25519
$UIDC key generate rsa2048
$UIDC client create testclient ed25519
$UIDC client create testclient-rsa rsa2048
$UIDC user create kestrel
echo "please enter password for user 'kestrel'"
$UIDC user update-auth -p kestrel

$UIDC group create testgroup
$UIDC role create testrole
$UIDC group attach testgroup roles testrole
$UIDC group attach testgroup users kestrel
$UIDC scope create testscope
$UIDC scope attach testscope roles testrole
